<?php 
require_once ("../config/db.php");
require_once ("../config/conexion.php");

$movimiento=intval($_GET['id']);
$query=mysqli_query($con, "select * from movimientos where numero_movimiento='".$movimiento."'");
$rw_movimiento=mysqli_fetch_array($query);

	$consulta2=mysqli_query($con,"select * from detalle_movimiento where numero_movimiento='".$movimiento."'");
	while($dato2=mysqli_fetch_array($consulta2))
	{
		$id_pro=$dato2['id_producto'];
		$cant=$dato2['cantidad'];
		$co=mysqli_query($con,"select * from products where id_producto='$id_pro'");
		$res_co=mysqli_fetch_array($co);
		$existencia=$res_co['existencia'];
		$stock=$existencia+$cant;
				
		mysqli_query($con,"UPDATE `products` SET `existencia`='$stock' WHERE `products`.`id_producto`='$id_pro'");
		
	}

	$del1="DELETE FROM movimientos WHERE numero_movimiento='".$movimiento."'";
	$del2="DELETE FROM detalle_movimiento WHERE numero_movimiento='".$movimiento."'";
	echo "<script>alert('Movimiento Reversado')</script>";	  
	$delete1=mysqli_query($con,$del1);
	$delete2=mysqli_query($con,$del2);
	header("location: ../movimientos.php");

?>